%define name 	jahshaka
%define version 1.9
%define release 0.alpha5.1mdk

Summary: 	Video Editing and Effects
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Video
Url: 		http://www.jahshaka.com/
Source: 	%{name}_%{version}a5.tar.bz2
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	freetype2-devel libMesaglut-devel libqt3-devel libavifile-devel
BuildRequires:	ImageMagick

%description
The worlds first OpenSource Realtime Editing and Effects System. Jahshaka
takes advantage of the power of OpenGL and OpenML to give its users
exceptional levels of performance. 

%prep
%setup -q -n %name
perl -p -i -e 's/FT_Open_Flags/FT_UInt/g' jah/objectlibs/FTGL/FTFace.cpp
perl -p -i -e 's|new MetalStyle|QStyleFactory::create("metalstyle")||g' jah/Source/jahstyle.cpp

%build
export QTDIR=/usr/lib/qt3
export PATH=$PATH:/usr/lib/qt3/bin
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_libdir/%name
strip %name
cp -r database fonts media Pixmaps scenes %name $RPM_BUILD_ROOT/%_libdir/%name
rm -fr $RPM_BUILD_ROOT/%_libdir/%name/Pixmaps/.xvpics
mkdir -p $RPM_BUILD_ROOT/%_bindir
echo '#!/bin/bash' > $RPM_BUILD_ROOT/%_bindir/%name
echo 'cd /usr/lib/jahshaka' >> $RPM_BUILD_ROOT/%_bindir/%name
echo './jahshaka' >> $RPM_BUILD_ROOT/%_bindir/%name
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" \
	needs="X11" \
	icon="%{name}.png" \
	section="Multimedia/Video" \
	title="Jahshaka" \
	longtitle="Video editing and effects"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 Pixmaps/jahlogo.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 Pixmaps/jahlogo.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 Pixmaps/jahlogo.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
%{update_menus}
 
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%_bindir/*
%_libdir/%{name}
%_menudir/%{name}
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png

%changelog
* Thu Dec 11 2003 Austin Acton <austin@linux.ca> 1.9-0.alpha5.1mdk
- re-introduce as 1.9alpha5

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8.5-1mdk
- 1.8.5

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7.2-1mdk
- 1.7.2

* Wed Sep 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- new in contribs

